NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.BeadBuilder Class Reference

Represents a Bead feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.BeadBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CrossSectionTypeOptions { Circular, Ushaped, Vshaped }
 This enum represents the cross section type options for the Bead. More...
 
enum  EndTypeOptions { Punched, Lanced, Formed, Tapered }
 This enum represents the end type options for the Bead. More...
 
enum  HeightSideOptions { SectionNormalSide, SectionReverseNormalSide }
 This enum represents the depth direction for the Bead. More...
 

Public Member Functions

unsafe void SetAngle (string beadAngle)
  More...
 
unsafe void SetDieRadius (string beadDieRadius)
  More...
 
unsafe void SetHeight (string beadHeight)
  More...
 
unsafe void SetPunchedWidth (string punchedWidth)
  More...
 
unsafe void SetPunchRadius (string punchRadius)
  More...
 
unsafe void SetRadius (string beadRadius)
  More...
 
unsafe void SetWidth (string beadWidth)
  More...
 
unsafe int ValidateBuilderData ()
 Verify whether the builder data is valid for creating a Bead or not. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle of the bead. More...
 
unsafe
NXOpen.Features.SheetMetal.BeadBuilder.CrossSectionTypeOptions 
CrossSectionType [get, set]
 Returns or sets the bead profile type . More...
 
unsafe NXOpen.Expression DieRadius [get]
 Returns the bead die radius. More...
 
unsafe
NXOpen.Features.SheetMetal.BeadBuilder.EndTypeOptions 
EndType [get, set]
 Returns or sets the bead end type . More...
 
unsafe NXOpen.Expression Height [get]
 Returns the height of the bead. More...
 
unsafe
NXOpen.Features.SheetMetal.BeadBuilder.HeightSideOptions 
HeightSide [get, set]
 Returns or sets the Height side for the bead. More...
 
unsafe bool IncludeRounding [get, set]
 Returns or sets the rounding type . More...
 
unsafe NXOpen.Expression MinimumToolClearance [get]
 Returns the Minimum tool clearance expression. More...
 
unsafe NXOpen.Expression PunchedWidth [get]
 Returns the Punched width of the bead. More...
 
unsafe NXOpen.Expression PunchRadius [get]
 Returns the bead punch radius. More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the radius of the bead. More...
 
unsafe NXOpen.Section Section [get, set]
 Returns or sets the Section used by the bead. More...
 
unsafe
NXOpen.Features.SketchFeature 
Sketch [get, set]
 Returns or sets the Slave Sketch used by the Bead, If one exists. More...
 
unsafe NXOpen.Expression TaperDistance [get]
 Returns the taper distance of the bead. More...
 
unsafe NXOpen.Expression Width [get]
 Returns the width of the bead. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Bead feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateBeadFeatureBuilder

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the cross section type options for the Bead.

Enumerator
Circular 
Ushaped 
Vshaped 

This enum represents the end type options for the Bead.

Enumerator
Punched 
Lanced 
Formed 
Tapered 

This enum represents the depth direction for the Bead.

Enumerator
SectionNormalSide 

Material removed on the side of the section normal.

SectionReverseNormalSide 

Material removed on the side opposite to that of the section normal

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.BeadBuilder.SetAngle ( string  beadAngle)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Angle instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
beadAngle
unsafe void NXOpen.Features.SheetMetal.BeadBuilder.SetDieRadius ( string  beadDieRadius)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.DieRadius instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
beadDieRadius
unsafe void NXOpen.Features.SheetMetal.BeadBuilder.SetHeight ( string  beadHeight)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Height instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
beadHeight
unsafe void NXOpen.Features.SheetMetal.BeadBuilder.SetPunchedWidth ( string  punchedWidth)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.PunchedWidth instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
punchedWidth
unsafe void NXOpen.Features.SheetMetal.BeadBuilder.SetPunchRadius ( string  punchRadius)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.PunchRadius instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
punchRadius
unsafe void NXOpen.Features.SheetMetal.BeadBuilder.SetRadius ( string  beadRadius)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Radius instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
beadRadius
unsafe void NXOpen.Features.SheetMetal.BeadBuilder.SetWidth ( string  beadWidth)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Width instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
beadWidth
unsafe int NXOpen.Features.SheetMetal.BeadBuilder.ValidateBuilderData ( )
inline

Verify whether the builder data is valid for creating a Bead or not.

If the Builder data is valid, returned value shall be 0

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
Data Validity Flag.

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BeadBuilder.Angle
get

Returns the angle of the bead.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.BeadBuilder.CrossSectionTypeOptions NXOpen.Features.SheetMetal.BeadBuilder.CrossSectionType
getset

Returns or sets the bead profile type .

Specify NXOpen.Features.SheetMetal.BeadBuilder.CrossSectionTypeOptions.Circular to have profile of half circle. Specify NXOpen.Features.SheetMetal.BeadBuilder.CrossSectionTypeOptions.Ushaped to have profile of U shape. Specify NXOpen.Features.SheetMetal.BeadBuilder.CrossSectionTypeOptions.Vshaped to have profile of V shape.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BeadBuilder.DieRadius
get

Returns the bead die radius.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.BeadBuilder.EndTypeOptions NXOpen.Features.SheetMetal.BeadBuilder.EndType
getset

Returns or sets the bead end type .

Specify NXOpen.Features.SheetMetal.BeadBuilder.EndTypeOptions.Formed to have ends of bead feature be formed. Specify NXOpen.Features.SheetMetal.BeadBuilder.EndTypeOptions.Lanced to have ends of bead feature be Lanced. Specify NXOpen.Features.SheetMetal.BeadBuilder.EndTypeOptions.Punched to have ends of bead feature be Punched. Specify NXOpen.Features.SheetMetal.BeadBuilder.EndTypeOptions.Tapered to have ends of bead feature be Tapered.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BeadBuilder.Height
get

Returns the height of the bead.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.BeadBuilder.HeightSideOptions NXOpen.Features.SheetMetal.BeadBuilder.HeightSide
getset

Returns or sets the Height side for the bead.

This is used to specify the direction in which the Bead is created. If Bead creation must happen in the direction of the Section Normal (specified using the NXOpen.Features.SheetMetal.BeadBuilder.Section ) then pass the value of NXOpen.Features.SheetMetal.BeadBuilder.HeightSideOptions.SectionNormalSide If Bead creation must happen in the opposite direction to that of Section Normal, set the value to be NXOpen.Features.SheetMetal.BeadBuilder.HeightSideOptions.SectionReverseNormalSide

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe bool NXOpen.Features.SheetMetal.BeadBuilder.IncludeRounding
getset

Returns or sets the rounding type .

Specify true to Round the Sharp edges. Specify false to avoid rounding.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BeadBuilder.MinimumToolClearance
get

Returns the Minimum tool clearance expression.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BeadBuilder.PunchedWidth
get

Returns the Punched width of the bead.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BeadBuilder.PunchRadius
get

Returns the bead punch radius.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BeadBuilder.Radius
get

Returns the radius of the bead.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.BeadBuilder.Section
getset

Returns or sets the Section used by the bead.

section should be open.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SketchFeature NXOpen.Features.SheetMetal.BeadBuilder.Sketch
getset

Returns or sets the Slave Sketch used by the Bead, If one exists.

If the Sketch is created internally as part of the Bead command in the UI, then it shall be consumed by the Bead and shall not show up as a separate feature in the Part Navigator. If such a behaviour is deired, then specify the Sketch here.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BeadBuilder.TaperDistance
get

Returns the taper distance of the bead.

Created in NX8.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BeadBuilder.Width
get

Returns the width of the bead.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.